<?php
/**
 * @package	JoomSMS for Joomla!
 * @version	1.0
* @author	joomboost.com
 * @copyright	(C) 2013-2020 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?><?php

class joomsmsView extends JViewLegacy{

	var $chosen = true;

	function display($tpl = null){
		$app = JFactory::getApplication();
		if($this->chosen && $app->isAdmin()){
			JHtml::_('formbehavior.chosen', 'select');
		}

		return parent::display($tpl);
	}
}

class joomsmsControllerCompat extends JControllerLegacy{

}

function joomsms_loadResultArray(&$db){
	return $db->loadColumn();
}

function joomsms_loadMootools($loadMootoolsMoreLib = false){
	JHTML::_('behavior.framework', $loadMootoolsMoreLib);
}

function joomsms_getColumns($table){
	$db = JFactory::getDBO();
	return $db->getTableColumns($table);
}

function joomsms_getEscaped($value, $extra = false){
	$db = JFactory::getDBO();
	return $db->escape($value, $extra);
}

function joomsms_getFormToken(){
	return JSession::getFormToken();
}

class joomsmsParameter extends JRegistry{

	function get($path, $default = null){
		$value = parent::get($path, 'noval');
		if($value === 'noval') $value = parent::get('data.'.$path, $default);
		return $value;
	}
}
