<?php
/**
 * @title             JoomSMS
 * @copyright         Copyright (C) 2013-2020 JoomBoost, All rights reserved.
 * @license           GNU General Public License version 3 or later.
 */

defined('_JEXEC') or die;

class JoomsmsHelper
{

    public static function addSubmenu()
    {

        $submenu = JFactory::getApplication()->input->get('ctrl','');

        // load the submenus to sidebar
        JHtmlSidebar::addEntry(
            '<i class="fas fa-tachometer-alt isParent"></i>&nbsp;&nbsp;'.JText::_('COM_JOOMSMS_SUBMENU_DASHBOARD'),
            'index.php?option=com_joomsms&ctrl=dashboard',
            $submenu === 'dashboard');
        JHtmlSidebar::addEntry(
            '<i class="fas fa-user-friends isParent"></i>&nbsp;&nbsp;'.JText::_('COM_JOOMSMS_SUBMENU_RECEIVERS'),
            '#',
            $submenu === 'receiver');
        JHtmlSidebar::addEntry(
            '<i class="fas fa-user-friends isChild"></i>&nbsp;&nbsp;'.JText::_('COM_JOOMSMS_SUBMENU_RECEIVERS'),
            'index.php?option=com_joomsms&ctrl=receiver',
            $submenu === 'receiver');

        JHtmlSidebar::addEntry(
            '<i class="fas fa-puzzle-piece isChild"></i>&nbsp;&nbsp;'.JText::_('COM_JOOMSMS_SUBMENU_CUSTOM_FIELDS'),
            'index.php?option=com_joomsms&ctrl=fields',
            $submenu === 'fields');

        JHtmlSidebar::addEntry(
            '<i class="fas fa-list isChild"></i>&nbsp;&nbsp;'.JText::_('COM_JOOMSMS_SUBMENU_GROUPS'),
            'index.php?option=com_joomsms&ctrl=group',
            $submenu === 'group');

        JHtmlSidebar::addEntry(
            '<i class="fas fa-file-import isChild"></i>&nbsp;&nbsp;'.JText::_('COM_JOOMSMS_SUBMENU_IMPORT'),
            'index.php?option=com_joomsms&ctrl=data&task=import',
            $submenu === 'import');

        JHtmlSidebar::addEntry(
            '<i class="fas fa-file-export isChild"></i>&nbsp;&nbsp;'.JText::_('COM_JOOMSMS_SUBMENU_EXPORT'),
            'index.php?option=com_joomsms&ctrl=data&task=export',
            $submenu === 'export');

        JHtmlSidebar::addEntry(
            '<i class="far fa-comment isParent"></i>&nbsp;&nbsp;'.JText::_('COM_JOOMSMS_SUBMENU_MESSAGES'),
            '#',
            $submenu === 'message');

        JHtmlSidebar::addEntry(
            '<i class="far fa-comment isChild"></i>&nbsp;&nbsp;'.JText::_('COM_JOOMSMS_SUBMENU_MESSAGES'),
            'index.php?option=com_joomsms&ctrl=message',
            $submenu === 'message');

        JHtmlSidebar::addEntry(
            '<i class="fas fa-th-large isChild"></i>&nbsp;&nbsp;'.JText::_('COM_JOOMSMS_SUBMENU_CATEGORIES'),
            'index.php?option=com_joomsms&ctrl=category',
            $submenu === 'category');


        JHtmlSidebar::addEntry(
            '<i class="far fa-comment-alt isParent"></i>&nbsp;&nbsp;'.JText::_('COM_JOOMSMS_SUBMENU_ANSWERS'),
            '#',
            $submenu === 'answer');

        JHtmlSidebar::addEntry(
            '<i class="far fa-comment-alt isChild"></i>&nbsp;&nbsp;'.JText::_('COM_JOOMSMS_SUBMENU_ANSWERS'),
            'index.php?option=com_joomsms&ctrl=answer',
            $submenu === 'answer');

        JHtmlSidebar::addEntry(
            '<i class="fas fa-comments isChild"></i>&nbsp;&nbsp;'.JText::_('COM_JOOMSMS_SUBMENU_CONVERSATION'),
            'index.php?option=com_joomsms&ctrl=receiver&task=conversation',
            $submenu === 'conversation');

        JHtmlSidebar::addEntry(
            '<i class="fas fa-bolt isChild"></i>&nbsp;&nbsp;'.JText::_('COM_JOOMSMS_SUBMENU_ANSWERS_ACTIONS'),
            'index.php?option=com_joomsms&ctrl=answertrigger',
            $submenu === 'answertrigger');

        JHtmlSidebar::addEntry(
            '<i class="fas fa-clock isParent"></i>&nbsp;&nbsp;'.JText::_('COM_JOOMSMS_SUBMENU_QUEUE'),
            'index.php?option=com_joomsms&ctrl=queue',
            $submenu === 'queue');

        JHtmlSidebar::addEntry(
            '<i class="fas fa-chart-line isParent"></i>&nbsp;&nbsp;'.JText::_('COM_JOOMSMS_SUBMENU_STATISTICS'),
            'index.php?option=com_joomsms&ctrl=stats',
            $submenu === 'stats');

        JHtmlSidebar::addEntry(
            '<i class="fas fa-users isParent"></i>&nbsp;&nbsp;'.JText::_('COM_JOOMSMS_SUBMENU_SENDER_PROFILES'),
            'index.php?option=com_joomsms&ctrl=senderprofile',
            $submenu === 'senderprofile');

        JHtmlSidebar::addEntry(
            '<i class="far fa-address-book isParent"></i>&nbsp;&nbsp;'.JText::_('COM_JOOMSMS_SUBMENU_CUSTOMERS'),
            'index.php?option=com_joomsms&ctrl=customer',
            $submenu === 'customer');

        JHtmlSidebar::addEntry(
            '<i class="fas fa-cog isParent"></i>&nbsp;&nbsp;'.JText::_('COM_JOOMSMS_SUBMENU_CONFIGURATION'),
            'index.php?option=com_joomsms&ctrl=cpanel',
            $submenu === 'cpanel');
    }


}