<?php
/**
 * @package        JoomSMS
 * @copyright      2013-2019 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

$links = [
	[
		'icon' => 'fas fa-pager',
		'title' => 'COM_JOOMSMS_PRODUCT_PAGE',
		'url' => 'https://www.joomboost.com/joomla-components/207-joomsms.html'
	],
	[
		'icon' => 'fas fa-book',
		'title' => 'COM_JOOMSMS_PRODUCT_DOCS',
		'url' => 'https://www.joomboost.com/support/documentation/141-joomsms-documentation.html'
	],
	[
		'icon' => 'fas fa-sync-alt',
		'title' => 'COM_JOOMSMS_PRODUCT_CHANGELOG',
		'url' => 'https://www.joomboost.com/components-changelogs/449-joomsms-changelog.html'
	],
	[
		'icon' => 'fas fa-comments',
		'title' => 'COM_JOOMSMS_PRODUCT_FORUM',
		'url' => 'https://www.joomboost.com/support/forums/forums/52-joomsms.html'
	],
	[
		'icon' => 'fas fa-life-ring',
		'title' => 'COM_JOOMSMS_PRODUCT_TICKET',
		'url' => 'https://www.joomboost.com/support/submit-ticket.html'
	],
	[
		'icon' => 'fas fa-road',
		'title' => 'COM_JOOMSMS_PRODUCT_ROADMAP',
		'url' => 'https://trello.com/joomsms'
	],
	[
		'icon' => 'fas fa-language',
		'title' => 'COM_JOOMSMS_PRODUCT_TRANSLATE',
		'url' => 'https://translate.joomboost.com/'
	]
];

?>
<div class="form-row">
	<?php foreach ($links as $link): ?>
		<?php echo JLayoutHelper::render(
			'dashboard.skeleton.buttonLink',
			[
				'title' => $link['title'],
				'icon'  => $link['icon'],
				'url'   => $link['url'],
				'target' => '_blank',
			]
		) ?>
	<?php endforeach; ?>
</div>
