<?php
/**
 * @package	JoomSMS for Joomla!
 * @version	1.0
* @author	joomboost.com
 * @copyright	(C) 2013-2020 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?><div id="page-acl">
	<div class="joomsmsonelineblockoptions">
		<div class="joomsmsblocktitle"><?php echo JText::_('SMS_ACCESS_LEVEL'); ?></div>
		<table class="table table-striped" cellspacing="1">
			<?php
			$acltable = JOOMSMS::get('type.acltable');

			$aclcats['answers'] = array('manage', 'delete', 'export');
			$aclcats['answers_trigger'] = array('manage', 'delete', 'copy');
			$aclcats['categories'] = array('manage', 'delete', 'copy');
			$aclcats['configuration'] = array('manage');
			$aclcats['cpanel'] = array('manage');
			$aclcats['groups'] = array('manage', 'delete');
			$aclcats['messages'] = array('create_edit', 'manage_all', 'manage_own', 'delete', 'send', 'copy', 'send_test');
			$aclcats['queue'] = array('manage', 'delete', 'process');
			$aclcats['receivers'] = array('view', 'manage', 'delete', 'export', 'import', 'block', 'unblock');
			$aclcats['sender_profiles'] = array('manage', 'delete', 'copy', 'send_test');
			$aclcats['stats'] = array('manage', 'manage_details', 'export', 'delete');
			$aclcats['tags'] = array('view');
			foreach($aclcats as $category => $actions){ ?>
				<tr>
					<td width="185" class="aclkey" valign="top">
						<?php $trans = JText::_('SMS_'.strtoupper($category));
						if($trans == 'SMS_'.strtoupper($category)) $trans = JText::_(strtoupper($category));
						echo $trans;
						?>
					</td>
					<td>
						<?php echo $acltable->display($category, $actions) ?>
					</td>
				</tr>
			<?php } ?>
		</table>
	</div>
</div>
