<?php
/**
 * @package	JoomSMS for Joomla!
 * @version	1.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2020 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?><div id="joomsms_content">
	<div id="iframedoc"></div>
	<form action="index.php?option=<?php echo JOOMSMS_COMPONENT.'&ctrl='.JRequest::getCmd('ctrl'); ?>" method="post" name="adminForm" id="adminForm" autocomplete="off">
		<?php $divClass = JFactory::getApplication()->isClient('administrator')  ? 'joomsmsblockoptions' : 'joomsmsonelineblockoptions'; ?>
		<div class="<?php echo $divClass; ?>">
			<span class="joomsmsblocktitle"><?php echo JText::_('SMS_INFORMATION'); ?></span>
			<table class="table">
                <?php if(isset($this->group)): ?>
				<tr>
					<td class="key">
						<label for="name">
							<?php echo JText::_('SMS_GROUP_NAME'); ?>
						</label>
					</td>
					<td>
						<input type="text" name="data[group][group_name]" id="name" class="inputbox" style="width:200px" value="<?php echo $this->escape(@$this->group->group_name); ?>"/>
					</td>
				</tr>
                <?php  endif; ?>
				<tr>
					<td class="key">
						<label for="enabled">
							<?php echo JText::_('SMS_ENABLED'); ?>
						</label>
					</td>
					<td>
						<?php echo JHTML::_('joomsmsselect.booleanlist', "data[group][group_published]", '', $this->group->group_published); ?>
					</td>
				</tr>
				<tr>
					<td>
						<label for="alias">
							<?php echo JText::_('SMS_ALIAS'); ?>
						</label>
					</td>
					<td>
						<input type="text" name="data[group][group_alias]" id="alias" class="inputbox" style="width:200px" value="<?php echo $this->escape(@$this->group->group_alias); ?>"/>
					</td>

				</tr>
				<tr>
					<td class="key">
						<label for="creator">
							<?php echo JText::_('SMS_CREATOR'); ?>
						</label>
					</td>
					<td>
						<input type="hidden" id="groupcreator" name="data[group][group_user_id]" value="<?php echo $this->escape(@$this->group->group_user_id); ?>"/>
						<?php echo '<span id="creatorname">'.@$this->group->group_creatorname.'</span>';
						if(JFactory::getApplication()->isClient('administrator') ){
							echo ' <a class="modal" title="'.JText::_('SMS_EDIT', true).'"  href="index.php?option=com_joomsms&amp;tmpl=component&amp;ctrl=user&amp;task=choosejoomuser&currentIntegration=joomsms" rel="{handler: \'iframe\', size: {x: 800, y: 500}}"><i class="smsicon-edit"></i></a>';
						} ?>
					</td>
				</tr>
				<tr>
					<td class="key">
						<?php echo JText::_('SMS_COLOUR'); ?>
					</td>
					<td>
						<?php echo JOOMSMS::get('type.color')->displayAll('', 'data[group][group_color]', @$this->group->group_color); ?>
					</td>
				</tr>
			</table>
		</div>

		<?php if(JFactory::getApplication()->isClient('administrator')){ ?>
			<div class="joomsmsblockoptions">
				<span class="joomsmsblocktitle"><?php echo JText::_('SMS_ACCESS_LEVEL'); ?></span>
				<?php echo $this->acltype->display('data[group][group_access_manage]', @$this->group->group_access_manage); ?>
			</div>
		<?php } ?>

		<div class="joomsmsonelineblockoptions">
			<span class="joomsmsblocktitle"><?php echo JText::_('SMS_DESCRIPTION'); ?></span>
			<?php echo JOOMSMS::get('helper.editor')->display(); ?>
		</div>

		<div class="clr"></div>

		<input type="hidden" name="cid[]" value="<?php echo @$this->group->group_id; ?>"/>
		<input type="hidden" name="option" value="com_joomsms"/>
		<input type="hidden" name="task" value=""/>
		<input type="hidden" name="ctrl" value="<?php echo JRequest::getCmd('ctrl'); ?>"/>
		<?php if(!empty($this->Itemid)) echo '<input type="hidden" name="Itemid" value="'.$this->Itemid.'" />';
		echo JHTML::_('form.token'); ?>
	</form>
</div>

