<?php
/**
 * @package	JoomSMS for Joomla!
 * @version	1.0
* @author	joomboost.com
 * @copyright	(C) 2013-2020 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?><div id="joomsms_content" >
<script>
var idSelected = new Array();

function addNewReceiver(currentValue){
	try{
		var ajaxCall = new Ajax('index.php?option=com_joomsms&tmpl=component&ctrl=message&task=getReceiversByName&nameSearched='+currentValue,{
			method: 'get',
			onSuccess: function() {
				receiversList = document.getElementById('joomsms_receiversTable');
				if(receiversList.getElementsByClassName("row_user").length==0)
					document.getElementById("joomsms_divSelectReceiver").style.display= "none";
				}
		}).request();

	}catch(err){
		new Request({
			url:'index.php?option=com_joomsms&tmpl=component&ctrl=message&task=getReceiversByName&nameSearched='+currentValue,
			method: 'get',
			onSuccess: function(responseText, responseXML) {
				receiversList = document.getElementById('joomsms_receiversTable');
				document.getElementById('joomsms_receiversTable').innerHTML = responseText;
				document.getElementById('joomsms_divSelectReceiver').style.display = "block";
				if(receiversList.getElementsByClassName("row_user").length==0)
					document.getElementById("joomsms_divSelectReceiver").style.display= "none";
			}
		}).send();
	}
}

function setUser(userName, receiverId){
	document.getElementById('usersSelected').innerHTML += '<span class="selectedUsers">'+userName+'<span class="removeUser" onclick="removeUser(this, '+receiverId+');"></span></span>';
	document.getElementById('message_receivers').value = '';
	document.getElementById('joomsms_divSelectReceiver').style.display = "none";

	idSelected.push(parseInt(receiverId));

	loadConversation();
}


function removeUser(element, receiverId){
	element.parentElement.remove();
	var index = idSelected.indexOf(receiverId);
	if (index > -1) {
		idSelected.splice(index, 1);
	}

	loadConversation();
}

function loadConversation(){
	receiverid = idSelected.join('-');
	try{
		var ajaxCall = new Ajax('index.php?option=com_joomsms&tmpl=component&ctrl=receiver&task=conversation&receiverid='+receiverid+'&tmpl=component',{
			method: 'get',
			update: document.getElementById('sms_body')
		}).request();

	}catch(err){
		new Request({
			url:'index.php?option=com_joomsms&tmpl=component&ctrl=receiver&task=conversation&receiverid='+receiverid+'&tmpl=component',
			method: 'get',
			onSuccess: function(responseText, responseXML) {
				document.getElementById('sms_body').innerHTML = responseText;
			}
		}).send();
	}

}

</script>
<form action="<?php echo JRoute::_('index.php?option=com_joomsms&ctrl='.JRequest::getCmd('ctrl')); ?>" method="post" name="adminForm"  id="adminForm" >
	<table class="adminform" width="100%">
		<tr>
			<td class="key" id="subjectkey">
				<label for="message_subject">
					<?php echo JText::_( 'SMS_RECEIVERS' ); ?>
				</label>
			</td>
			<td id="subjectinput">
			<div id="userSelection">
				<span id="usersSelected"></span>
				<input type="text" name="data[message][message_receivers]" id="message_receivers" onkeyup="addNewReceiver(this.value)" class="inputbox" style="width:100%" value="<?php echo $this->escape(@$this->message->message_receivers); ?>" />
				<div id="joomsms_divSelectReceiver" style="display:none;">
					<div id="joomsms_receiversTable"></div>
				</div>
			</div>
			</td>
		</tr>
	</table>


    <div id="jb_template">
        <div id="phone_interface" class="d-flex justify-content-center">
            <div class="rounded border-dark bg-dark d-flex flex-column shadow" style="min-height: 500px;max-width: 250px">

                <div class="text-center mt-0">
                    <i class="fas fa-minus text-white fa-4x"></i>
                </div>

                <div class="mb-0 mt-0 mx-3 bg-white flex-grow-1">
                    <div class="d-flex justify-content-between text-white bg-primary py-2 px-1">
                        <i class="fas fa-signal"></i>
                        <i class="fas fa-battery-full"></i>
                    </div>
                    <div class="d-flex justify-content-center p-1 text-white bg-info ">
                        <?php
                        $countType = JOOMSMS::get('type.countcharacters');
                        echo $countType->countCaracters('message_body', '');
                        ?>
                    </div>
                    <div class="p-2 d-flex">
                        <div id="">
                            <?php
                            $countType = JOOMSMS::get('type.countcharacters');
                            echo $countType->countCaracters('message_body','');
                            ?>
                            <div id="sms_body">
                                <textarea <?php echo empty($this->messageMaxChar) ? "" : 'maxlength="'.$this->messageMaxChar.'"'; ?>" onclick="countCharacters();" onkeyup="countCharacters();" rows="20" name="data[message][message_body]" id="message_body" ><?php echo @$this->message->message_body; ?></textarea>
                        </div>
                    </div>
                </div>

                <div class="m-2 text-center">
                    <i class="fas fa-dot-circle fa-2x text-muted"></i>
                </div>
            </div>
        </div>
    </div>

    <div class="clr"></div>
	<input type="hidden" name="option" value="<?php echo JOOMSMS_COMPONENT; ?>" />
	<input type="hidden" name="task" value="" />
</form>
</div>
