<?php
/**
 * @package	JoomSMS for Joomla!
 * @version	1.0
* @author	joomboost.com
 * @copyright	(C) 2013-2020 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?><div id="joomsms_content">
	<div id="iframedoc"></div>
	<form action="index.php?option=<?php echo JOOMSMS_COMPONENT ?>&amp;ctrl=senderprofile" method="post" name="adminForm" class="clearfix" id="adminForm" autocomplete="off" enctype="multipart/form-data">
		<div style="width: fit-content; float: left; display: inline-block;">
			<div class="joomsmsonelineblockoptions">
				<span class="joomsmsblocktitle"><?php echo JText::_('SMS_SENDER_PROFILE'); ?></span>
				<table class="table">
					<tr>
						<td class="key">
							<label for="senderprofile_name"><?php echo JText::_('SMS_SENDER_PROFILE_NAME'); ?></label>
						</td>
						<td>
							<input type="text" name="data[senderprofile][senderprofile_name]" id="senderprofile_name" class="inputbox" style="width:200px;" value="<?php echo $this->escape(@$this->senderprofile->senderprofile_name); ?>"/>
						</td>
					</tr>
					<tr>
						<td class="key">
							<label for="senderprofile_gateway"><?php echo JText::_('SMS_GATEWAY'); ?></label>
						</td>
						<td>
							<?php echo $this->gatewaydropdown; ?>
						</td>
					</tr>
					<tr>
						<td>
							<label for="creator">
								<?php echo JText::_('SMS_CREATOR'); ?>
							</label>
						</td>
						<td>
							<input type="hidden" id="creatorid" name="data[senderprofile][senderprofile_userid]" value="<?php echo $this->escape(@$this->senderprofile->senderprofile_userid); ?>"/>
							<?php echo '<span id="creatorname">'.@$this->senderprofile->senderprofile_username.'</span>';
							echo ' <a class="modal" title="'.JText::_('SMS_EDIT', true).'"  href="index.php?option=com_joomsms&amp;tmpl=component&amp;ctrl=user&amp;task=choosejoomuser&currentIntegration=joomsms" rel="{handler: \'iframe\', size: {x: 800, y: 500}}"><i class="smsicon-edit"></i></a>';
							?>
						</td>
					</tr>
				</table>
			</div>
			<div class="joomsmsonelineblockoptions">
				<span class="joomsmsblocktitle"><?php echo JText::_('SMS_PARAMETERS'); ?></span>
				<div id="gateway_params">
					<?php if(!empty($this->senderprofile->senderprofile_gateway)){
						$senderprofileClass = JOOMSMS::get('class.senderprofile');
						$gateway = $senderprofileClass->getGateway($this->senderprofile->senderprofile_gateway, $this->senderprofile->senderprofile_params);
						if(method_exists($gateway, 'displayConfig')) $gateway->displayConfig();
					} ?>
				</div>
			</div>
			<div class="joomsmsonelineblockoptions">
				<span class="joomsmsblocktitle"><?php echo JText::_('SMS_ACCESS_LEVEL'); ?></span>
				<?php echo $this->acltype->display('data[senderprofile][senderprofile_access]', @$this->senderprofile->senderprofile_access); ?>
			</div>
		</div>
		<div style="width: fit-content; float: left">
			<div class="joomsmsblockoptions" >
				<span class="joomsmsblocktitle"><?php echo JText::_('SMS_SEND_TEST'); ?></span>
				<div id="message-test">
					<?php
					$testReceiverType = JOOMSMS::get('type.testReceiver');
					$testReceiverType->display(false, $this->currentIntegration, $this->listReceiversTest);
					?>
					<button class="joomsms_button" type="submit" onclick="addReceiverInput();

					if(document.getElementById('testNumberReceiver').value=='' || undefined){window.joomsms_js.openBox(document.getElementById('selectreceiver'),'index.php?option=com_joomsms&tmpl=component&ctrl=receiver&task=choose');return false;}
					else
					    { <?php echo "Joomla.submitbutton('sendTest');}"; ?> ">
                        <?php echo JText::_('SMS_SEND_TEST') ?></button>
				</div>
                <div id="jb_template" style="margin-top: 25px">
                    <div id="phone_interface" class="d-flex justify-content-center">
                        <div class="rounded border-dark bg-dark d-flex flex-column shadow">

                            <div class="text-center mt-0">
                                <i class="fas fa-minus text-white fa-4x"></i>
                            </div>

                            <div class="mb-0 mt-0 mx-3 bg-white flex-grow-1">
                                <div class="d-flex justify-content-between text-white bg-primary py-2 px-1">
                                    <i class="fas fa-signal"></i>
                                    <i class="fas fa-battery-full"></i>
                                </div>
                                <div class="d-flex justify-content-center p-1 text-white bg-info ">
                                    <?php
                                    $countType = JOOMSMS::get('type.countcharacters');
                                    echo $countType->countCaracters('message_body', '');
                                    ?>
                                </div>
                                <div class="p-2 d-flex">
                                    <div>
                                        <textarea onclick="countCharacters();" onkeyup="countCharacters();" rows="20" name="message_body" id="message_body"><?php echo @$this->message_body; ?></textarea>

                                    </div>
                                </div>
                            </div>

                            <div class="m-2 text-center">
                                <i class="fas fa-dot-circle fa-2x text-muted"></i>
                            </div>
                        </div>
                    </div>
                </div>
			</div>

		</div>
		<div class="clr"></div>
		<input type="hidden" name="cid[]" value="<?php echo $this->escape(@$this->senderprofile->senderprofile_id); ?>"/>
		<input type="hidden" name="option" value="<?php echo JOOMSMS_COMPONENT; ?>"/>
		<input type="hidden" name="task" value=""/>
		<input type="hidden" name="ctrl" value="senderprofile"/>
		<input type="hidden" name="currentIntegration" value="<?php echo $this->currentIntegration; ?>"/>
        <input type="hidden" name="currentTestIntegration" value="<?php echo $this->currentIntegration; ?>"/>
		<input type="hidden" name="<?php echo $this->currentIntegration.'_testNumberReceiver' ?>" id="testNumberReceiver" value=""/>
		<?php echo JHTML::_('form.token'); ?>
	</form>
</div>
