<?php
/**
 * @package	JoomSMS for Joomla!
 * @version	1.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2020 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?><?php
$my = JFactory::getUser();
if(empty($my->id)){
	$usercomp =  'com_users';
	$uri = JFactory::getURI();
	$url = 'index.php?option='.$usercomp.'&view=login&return='.base64_encode($uri->toString());
	$app = JFactory::getApplication();
	$app->redirect($url, JText::_('SMS_NOTALLOWED'));
	return false;
}

$config = JOOMSMS::config();
if(!JOOMSMS::isAllowed($config->get('acl_groups_manage', 'all'))) die('You are not allowed to access this page, please check the front end management option in the JoomSMS configuration');


include(JOOMSMS_BACK.'controllers'.DS.'group.php');
$frontHelper = JOOMSMS::get('helper.joomsmsfront');

class FrontGroupController extends GroupController{


	function __construct($config = array()){
		parent::__construct($config);

		$app = JFactory::getApplication();

		$groupid = JRequest::getInt('group_id');
		if(empty($groupid)) return;

		JPluginHelper::importPlugin('joomsms');
		$dispatcher = JDispatcher::getInstance();
		$resultArray = $dispatcher->trigger('joomsmsCheckCustomAccessGroup');
		$result = reset($resultArray);
		if(!empty($result)) return true;


		if(!joomsmsCheckAccessGroup()){
			JOOMSMS::enqueueMessage('You can not have access to this group', 'error');
			$app->redirect('index.php');
			return false;
		}
	}

	public function form(){
		return $this->edit();
	}
}
