<?php
/**
 * @package	JoomSMS for Joomla!
 * @version	1.0
 * @author	JoomBoost
 * @copyright	(C) 2013-2020 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?><?php

defined('_JEXEC') or die('Restricted access');

class plgJoomSMSManagetext extends JPlugin{
	var $foundtags = array();

	function __construct(&$subject, $config){
		parent::__construct($subject, $config);
		if(!isset($this->params)){
			$plugin = JPluginHelper::getPlugin('joomsms', 'managetext');
			$this->params = new JParameter($plugin->params);
		}
	}

	function onJOOMSMSReplaceTags(&$message, $send = true){
		$this->_replaceConstant($message);
	}

	private function _replaceConstant(&$message){
		$helperPlugin = JOOMSMS::get('helper.plugins');
		$tags = $helperPlugin->extractTags($message, 'trans');

		if(!$tags) return;

		$jconfig = JFactory::getConfig();
		foreach($tags as $tagString => $oneTag){
			$tags[$tagString] = JText::_($oneTag->id);
		}
		$message->message_body = str_replace(array_keys($tags), $tags, $message->message_body);
	}
}//endclass
