<?php
/**
 * @package	JoomSMS for Joomla!
 * @version	1.0
* @author	joomboost.com
 * @copyright	(C) 2013-2020 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?><?php
class DashboardController extends joomsmsController{

	var $aclCat = 'cpanel';


	function __construct($config = array())
	{
		parent::__construct($config);

	}
	function display($cachable = false, $urlparams = false){
		return parent::display($cachable, $urlparams);
	}

    public function updateDownloadId(){

        JRequest::checkToken() or jexit('Invalid Token');

        $db = JFactory::getDBO();

        $config = JComponentHelper::getParams('com_joomsms');

        $did = JFactory::getApplication()->input->get('did','');

        // If the download ID is invalid, return without any further action
        if (!preg_match('/^([0-9]{1,}:)?[0-9a-f]{32}$/i', $did)) {

            echo new JResponseJson('','Invalid ID',true);
            jexit();
        }


        $config->set('downloadid', $did);
        $this->storeConfig($config);

        echo new JResponseJson('','Download ID updated');
        jexit();

    }

    // update config params
    private function storeConfig($config) {
        $config = $config->toString();

        $db = JFactory::getDBO();
        $db->setQuery('UPDATE `#__extensions` SET `params` = '.$db->Quote($config).' WHERE `element` = "com_joomsms" AND `type` = "component"');
        $db->query();
    }

    public function addReceiver(){

        $this->setRedirect('index.php?option=com_joomsms&ctrl=user&task=add');

    }
    public function addMessage(){

        $this->setRedirect('index.php?option=com_joomsms&ctrl=message&task=add');

    }
    public function addCustomer(){

        $this->setRedirect('index.php?option=com_joomsms&ctrl=customer&task=add');


    }



}
