<?php
/**
 * @package        JoomSMS
 * @copyright      2013-2019 JoomBoost, joomboost.com
 * @license        GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

$links = [
	[
		'icon' => 'far fa-envelope',
		'title' => 'COM_JOOMSMS_CONFIG_MESSAGE',
		'url' => 'index.php?option=com_joomsms&ctrl=cpanel#config_message'
	],
	[
		'icon' => 'fas fa-clock',
		'title' => 'COM_JOOMSMS_CONFIG_QUEUE',
		'url' => 'index.php?option=com_joomsms&ctrl=cpanel#config_queue'
	],
	[
		'icon' => 'fas fa-palette',
		'title' => 'COM_JOOMSMS_CONFIG_INTERFACE',
		'url' => 'index.php?option=com_joomsms&ctrl=cpanel#config_interface'
	],
	[
        'icon' => 'fas fa-lock',
        'title' => 'COM_JOOMSMS_CONFIG_PERMISSIONS',
		'url' => 'index.php?option=com_joomsms&ctrl=cpanel#config_acl'
	],
	[
		'icon' => 'fas fa-puzzle-piece',
		'title' => 'COM_JOOMSMS_CONFIG_PLUGINS',
		'url' => 'index.php?option=com_joomsms&ctrl=cpanel#config_plugins'
	],
	[
		'icon' => 'fas fa-language',
		'title' => 'COM_JOOMSMS_CONFIG_LANGUAGES',
		'url' => 'index.php?option=com_joomsms&ctrl=cpanel#config_languages'
	]
];

?>
<div class="form-row">
	<?php foreach ($links as $link): ?>
		<?php echo JLayoutHelper::render(
			'dashboard.skeleton.buttonLink',
			[
				'title' => $link['title'],
				'icon'  => $link['icon'],
				'url'   => $link['url']
			]
		) ?>
	<?php endforeach; ?>
</div>
