<?php

/**
* @package			JoomSMS
* @copyright		Copyright (C) 2013-2020 JoomBoost., Ltd. All Rights Reserved.
* @license			GNU General Public License version 2 or later; see LICENSE.txt
* @author			JoomBoost
* @website			https://www.joomboost.com
 */

defined('_JEXEC') or die('Restricted access');

JHtml::_('stylesheet', 'com_joomsms/admin.css', array(), true);
JHtml::_('behavior.modal', 'a.modal');

$modules = &$this->modules;

?>
<div id="j-sidebar-container" class="span2">
    <?php echo $this->sidebar; ?>
</div>
<div id="j-main-container" class="span10">
    <div class="row-fluid">
        <?php echo $modules->render('joomsms-dashboard-before', array('style' => 'xhtml'), null); ?>
        <div id="jb_template">
            <?php echo JoomsmsHelperDashboard::getSkeleton(); ?>
        </div>
        <?php echo $modules->render('joomsms-dashboard-after', array('style' => 'xhtml'), null); ?>
    </div>
</div>
<!-- for quick add buttons in toolbar -->
<form action="<?php echo JRoute::_('index.php?option=com_joomsms&ctrl=dashboard'); ?>" method="post" name="adminForm" id="adminForm">
    <input type="hidden" name="task" value="" />
</form>
