<?php
/**
 * @package	JoomSMS for Joomla!
 * @version	1.0
 * @author	joomboost.com
 * @copyright	(C) 2013-2020 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');
?><?php
jimport('joomla.application.component.controller');
jimport('joomla.application.component.view');

include_once(rtrim(JPATH_ADMINISTRATOR, DIRECTORY_SEPARATOR).DIRECTORY_SEPARATOR.'components'.DIRECTORY_SEPARATOR.'com_joomsms'.DIRECTORY_SEPARATOR.'helpers'.DIRECTORY_SEPARATOR.'helper.php');
include_once(rtrim(JPATH_ADMINISTRATOR, DIRECTORY_SEPARATOR).DIRECTORY_SEPARATOR.'components'.DIRECTORY_SEPARATOR.'com_joomsms'.DIRECTORY_SEPARATOR.'helpers'.DIRECTORY_SEPARATOR.'joomsms.php');

$document = JFactory::getDocument();
$document->addStyleSheet(JUri::root().'media/com_joomsms/css/bootstrap.css');
$document->addStyleSheet(JUri::root() . 'media/com_joomsms/css/all.css');


if(defined('JDEBUG') AND JDEBUG) JOOMSMS::displayErrors();

$view = JRequest::getCmd('view');
if(!empty($view) AND !JRequest::getCmd('ctrl')){
	JRequest::setVar('ctrl', $view);
	$layout = JRequest::getCmd('layout');
	if(!empty($layout)){
		JRequest::setVar('task', $layout);
	}
}

global $Itemid;
if(empty($Itemid)){
	$urlItemid = JRequest::getInt('Itemid');
	if(!empty($urlItemid)) $Itemid = $urlItemid;
}

$doc = JFactory::getDocument();
$doc->addStyleSheet(JOOMSMS_CSS.'frontendedition.css');
$doc->addStyleSheet(JOOMSMS_CSS.'component.css');
$doc->addScript(JOOMSMS_JS.'joomsms_compat.js');

$taskGroup = JRequest::getCmd('ctrl');
if(empty($taskGroup)){

    $task = JFactory::getApplication()->input->get('task','');

    // if using joomla mvc structure
    if(!empty($task)){

        $controller = JControllerLegacy::getInstance('Joomsms');
        $controller->execute(JFactory::getApplication()->input->get('task',''));
        $controller->redirect();
    }


	$app = JFactory::getApplication();
	$app->redirect('index.php');

}

if($taskGroup == 'd') $taskGroup = 'deliveryreport';
if(!file_exists(JOOMSMS_CONTROLLER_FRONT.$taskGroup.'.php') || !include(JOOMSMS_CONTROLLER_FRONT.$taskGroup.'.php')){
	return JError::raiseError(404, 'Page not found : '.$taskGroup);
}

$className = ucfirst($taskGroup).'Controller';
$classGroup = new $className();
JRequest::setVar('view', $classGroup->getName());
$classGroup->execute(JRequest::getCmd('task'));
$classGroup->redirect();
