<?php
/**
 * @package      JoomSMS
 * @author       JoomBoost
 * @copyright    Copyright (C) 2013-2020 JoomBoost. All rights reserved.
 * @license      http://www.gnu.org/licenses/gpl.html GNU/GPL, see LICENSE.txt
 */
defined('_JEXEC') or die('Restricted access');

if(!include_once(rtrim(JPATH_ADMINISTRATOR,DIRECTORY_SEPARATOR).DIRECTORY_SEPARATOR.'components'.DIRECTORY_SEPARATOR.'com_joomsms'.DIRECTORY_SEPARATOR.'helpers'.DIRECTORY_SEPARATOR.'helper.php')){
	echo 'This module can not work without the JoomSMS Component';
	return;
};

if(defined('JDEBUG') AND JDEBUG) JOOMSMS::displayErrors();

$moduleId = JRequest::getInt('module_id','');
$numbers = JRequest::getVar('module_'.$moduleId.'_numbers','');
$message_body = JRequest::getVar("message_body",'');

if(!empty($moduleId) && !empty($numbers)){
	include_once(dirname(__FILE__).DS.'sendmessage.php');
	$sendMessageClass = new joomSMSsendmessageClass();
	$sendMessageClass->sendSMS();

}
$doc = JFactory::getDocument();
$config = JOOMSMS::config();
$phoneHelper = JOOMSMS::get('helper.phone');

joomsms_loadMootools();
$countryType = JOOMSMS::get('type.country');


$introText = $params->get('introtext');
$finaltext = $params->get('finaltext');
$sendtext = $params->get('sendtext');
$defaultMessage = $params->get('defaultmessage');
$defaultNumber = $phoneHelper->getValidNum($params->get('defaultnumber'));
$blockModification = $params->get('blockModification');
$messageMaxChar = $params->get('maxNumberMessage');


require(JModuleHelper::getLayoutPath('mod_joomsms'));


