<?php
/**
 * @package      JoomSMS
 * @author       JoomBoost
 * @copyright    Copyright (C) 2013-2020 JoomBoost. All rights reserved.
 * @license      http://www.gnu.org/licenses/gpl.html GNU/GPL, see LICENSE.txt
 */
defined('_JEXEC') or die('Restricted access');
?><div class="joomsms_module<?php echo $params->get('moduleclass_sfx') ?>" id="joomsms_module_<?php echo $module->id; ?>">
	<script langage="javascript">
		function addPhoneNumber(moduleID){

			moduleDiv = document.getElementById("module_" + moduleID + "_numbers");
			totalDiv = document.getElementsByClassName("joomsms_buttonCountryCode").length;
			var newElement = document.createElement('div');
			newElement.className = "joomsms_phonenumber_div";
			var firstPhoneField = moduleDiv.getElementsByClassName("joomsms_buttonCountryCode")[0].value;

			newElement.innerHTML = document.getElementById("module_" + moduleID + "_phone").innerHTML.replace(/numbers\[0\]/g, "numbers[" + totalDiv + "]");
			totalDiv++;
			newElement.innerHTML = newElement.innerHTML.replace(new RegExp("joomsms_displayDivCountryCode\\(" + firstPhoneField, "g"), "joomsms_displayDivCountryCode(" + totalDiv);
			newElement.innerHTML = newElement.innerHTML.replace(new RegExp("joomsms_valueSelectedCountryCode" + firstPhoneField, "g"), "joomsms_valueSelectedCountryCode" + totalDiv);
			newElement.innerHTML = newElement.innerHTML.replace(new RegExp("joomsms_buttonCountryCodeImage" + firstPhoneField, "g"), "joomsms_buttonCountryCodeImage" + totalDiv);
			newElement.innerHTML = newElement.innerHTML.replace(new RegExp("joomsms_divCountryCode" + firstPhoneField, "g"), "joomsms_divCountryCode" + totalDiv);
			newElement.innerHTML = newElement.innerHTML.replace(new RegExp("joomsms_searchACountry" + firstPhoneField, "g"), "joomsms_searchACountry" + totalDiv);
			newElement.innerHTML = newElement.innerHTML.replace(new RegExp("joomsms_searchACountry\\(" + firstPhoneField, "g"), "joomsms_searchACountry(" + totalDiv);


			document.getElementById("module_" + moduleID + "_numbers").appendChild(newElement);

			joomsms_searchACountry(totalDiv);
		}
	</script>
	<form action="<?php echo JURI::getInstance(); ?>" method="post" name="sendsms">
		<span class="joomsms_introtext">
			<?php if(!empty($introText)) echo ($introText).'<br />'; ?>
		</span>
		<?php
		echo '<div class="joomsms_numbers" id="module_'.$module->id.'_numbers">';
		echo '<div class="joomsms_phonenumber_div" id="module_'.$module->id.'_phone">';
		if($blockModification) $countryType->readOnly = true;
		$countryType->placeholder = JText::_('SMS_PHONECAPTION');
		echo $countryType->displayPhone((!empty($defaultNumber) ? $defaultNumber : $config->get('country')), 'module_'.$module->id.'_numbers[0]'); ?>
</div>
</div>
<?php

if(!$blockModification) echo '<button style="margin:5px 0 10px 0" type="button" onclick="addPhoneNumber('.$module->id.');">'.JText::_('SMS_ADD_PHONE_NUMBER').'</button>';

?>
<div class="joomsms_messageBody">
	<textarea rows="5" <?php echo empty($messageMaxChar) ? "" : 'maxlength="'.$messageMaxChar.'"'; ?> id="message_body<?php echo $module->id; ?>" name="message_body" class="message_body" style="width:90%; max-width:400px" onclick="countCharacters(<?php echo $module->id; ?>);" onkeyup="countCharacters(<?php echo $module->id; ?>);" <?php echo ($blockModification) ? 'readonly' : "" ?> ><?php echo(!empty($defaultMessage) ? $defaultMessage : JText::_('SMS_TEST_MESSAGE')); ?></textarea>
</div>
<div class="joomsms_countCharacters" style="text-align:right;width:90%; max-width:400px">
	<?php
	$countType = JOOMSMS::get('type.countcharacters');
	echo $countType->countCaracters('message_body', $module->id);
	?>
</div>
<span class="joomsms_finaltext">
			<?php if(!empty($finaltext)) echo ($finaltext).'<br />'; ?>
		</span>
<input type="hidden" name="module_id" value="<?php echo $module->id; ?>"/>
<div class="sendMessageDiv">
	<input class="joomsms_button" type="submit" value="<?php echo empty($sendtext) ? JText::_('SMS_SEND') : ($sendtext); ?>"/>
</div>
<?php echo JHTML::_('form.token'); ?>
</form>
</div>
