<?php
/**
 * @package      JoomSMS
 * @author       JoomBoost
 * @copyright    Copyright (C) 2013-2020 JoomBoost. All rights reserved.
 * @license      http://www.gnu.org/licenses/gpl.html GNU/GPL, see LICENSE.txt
 */
defined('_JEXEC') or die('Restricted access');
?><div class="joomsms_module<?php echo $params->get('moduleclass_sfx') ?>" id="joomsms_module_<?php echo $formName; ?>">
	<?php
	$style = array();
	if($params->get('effect', 'normal') == 'mootools-slide'){
	if(!empty($mootoolsIntro)) echo '<p class="joomsms_mootoolsintro">'.$mootoolsIntro.'</p>'; ?>
	<div class="joomsms_mootoolsbutton" id="joomsms_toggle_<?php echo $formName; ?>">
		<p><a class="joomsms_togglemodule" id="joomsms_togglemodule_<?php echo $formName; ?>" href="#subscribe"><?php echo $mootoolsButton ?></a></p>
		<?php
		}
		if($params->get('textalign', 'none') != 'none') $style[] .= 'text-align:'.$params->get('textalign');
		$styleString = empty($style) ? '' : 'style="'.implode(';', $style).'"';
		?>
		<div class="joomsms_fulldiv" id="joomsms_fulldiv_<?php echo $formName; ?>" <?php echo $styleString; ?> >
			<form id="<?php echo $formName; ?>" action="<?php echo JRoute::_('index.php'); ?>" onsubmit="return submitjoomsmsform('optin','<?php echo $formName; ?>')" method="post" name="<?php echo $formName ?>" <?php if(!empty($fieldsClass->formoption)) echo $fieldsClass->formoption; ?> >
				<div class="joomsms_module_form">
					<?php if(!empty($introText)) echo '<span class="joomsms_introtext">'.$introText.'</span>'; ?>
					<?php if(!empty($visibleGroupsArray)){
						if($params->get('dropdown', 0)){
							?>
							<select name="subscription[1]">
								<?php foreach($visibleGroupsArray as $myGroupId){ ?>
									<option value="<?php echo $myGroupId ?>"><?php echo $allGroups[$myGroupId]->group_name; ?></option>
								<?php } ?>
							</select>
						<?php }else{
							?>
							<table class="joomsms_groups">
								<?php foreach($visibleGroupsArray as $myGroupId){
									$check = in_array($myGroupId, $checkedGroupsArray) ? 'checked="checked"' : '';

									if($params->get('checkmode', 0) == '0' AND !empty($identifiedUser->user_phone_number)){
										if(empty($allGroups[$myGroupId]->groupuser_status)){
											$check = '';
										}else{
											$check = $allGroups[$myGroupId]->groupuser_status == '-1' ? '' : 'checked="checked"';
										}
									}
									?>
									<tr>
										<td>
											<input type="checkbox" class="joomsms_checkbox" name="subscription[]" id="joomsmsgroup_<?php echo $myGroupId; ?>" <?php echo $check; ?> value="<?php echo $myGroupId; ?>"/>
										</td>
										<td>
											<label for="joomsmsgroup_<?php echo $myGroupId; ?>">
												<?php
												if($params->get('overlay', 0)){
													echo JOOMSMS::tooltip($allGroups[$myGroupId]->group_description, $allGroups[$myGroupId]->group_name, '', $allGroups[$myGroupId]->group_name, '');
												}else{
													echo $allGroups[$myGroupId]->group_name;
												}
												?>
											</label>
										</td>
									</tr>
								<?php } ?>
							</table>
						<?php }//endif dropdown
					}//endif visiblegroups ?>
					<table class="joomsms_form">
						<tr>
							<?php
							foreach($fieldsToDisplay as $oneField){
								if(!empty($extraFields[$oneField])){
									if($displayOutside){
										echo '<td><label '.((strpos($extraFields[$oneField]->fields_type, 'text') !== false) ? 'for="user_'.$oneField.'_'.$formName.'"' : '').'>'.$fieldsClass->trans($extraFields[$oneField]->fields_fieldname).'</label></td>';
									}
									if(empty($extraFields[$oneField]->fields_options['size'])) $extraFields[$oneField]->fields_options['size'] = '150';
									?>
								<td class="joomsmsfield_<?php echo $oneField; ?>">
									<?php
									echo $fieldsClass->display($extraFields[$oneField], @$identifiedUser->$oneField, 'user['.$oneField.']', !$displayOutside);
									?>
									</td><?php
									if(!$displayInline) echo '</tr><tr>';
								}else continue;
							}

							if($params->get('showterms', false)){
								?>
								<td class="joomsmsterms" <?php if($displayOutside AND !$displayInline) echo 'colspan="2"'; ?> >
									<input id="mailingdata_terms_<?php echo $formName; ?>" class="checkbox" type="checkbox" name="terms"/> <?php echo $termslink; ?>
								</td>
								<?php if(!$displayInline) echo '</tr><tr>';
							} ?>

							<td <?php if($displayOutside AND !$displayInline) echo 'colspan="2"'; ?> class="joomsmssubbuttons">
								<?php if($params->get('showsubscribe', true)){ ?>
									<input class="button subbutton joomsms_button" type="submit" value="<?php $subtext = $params->get('subscribetextreg');
									if(empty($identifiedUser->user_id) OR empty($subtext)){
										$subtext = $params->get('subscribetext', JText::_('SMS_SUBSCRIBE'));
									}
									echo $subtext; ?>" name="Submit" onclick="try{ return submitjoomsmsform('optin','<?php echo $formName; ?>'); }catch(err){alert('The form could not be submitted '+err);return false;}"/>
								<?php }
								if($params->get('showunsubscribe', false) AND (!$params->get('showsubscribe', true) OR empty($identifiedUser->user_id) OR !empty($countUnsub))){ ?>
									<input class="button unsubbutton  btn btn-inverse" type="button" value="<?php echo $params->get('unsubscribetext', JText::_('SMS_UNSUBSCRIBE')); ?>" name="Submit" onclick="return submitjoomsmsform('optout','<?php echo $formName; ?>')"/>
								<?php } ?>
							</td>
						</tr>
					</table>
					<?php
					if(!empty($fieldsClass->excludeValue)){
						$js = "\n"."joomsms['excludeValues".$formName."'] = Array();";
						foreach($fieldsClass->excludeValue as $namekey => $value){
							$js .= "\n"."joomsms['excludeValues".$formName."']['".$namekey."'] = '".$value."';";
						}
						$js .= "\n";
						$doc = JFactory::getDocument();
						if($params->get('includejs', 'header') == 'header'){
							$doc->addScriptDeclaration($js);
						}else{
							echo "<script type=\"text/javascript\">
							<!--
							$js
							//-->
							</script>";
						}
					}
					if(!empty($postText)) echo '<span class="joomsms_finaltext">'.$postText.'</span>';
					$ajax = ($params->get('redirectmode') == '3') ? 1 : 0; ?>
					<input type="hidden" name="moduleId" value="<?php echo $module->id; ?>"/>
					<input type="hidden" name="ajax" value="<?php echo $ajax; ?>"/>
					<input type="hidden" name="ctrl" value="sub"/>
					<input type="hidden" name="task" value="notask"/>
					<input type="hidden" name="redirect" value="<?php echo urlencode($redirectUrl); ?>"/>
					<input type="hidden" name="redirectunsub" value="<?php echo urlencode($redirectUrlUnsub); ?>"/>
					<input type="hidden" name="option" value="<?php echo JOOMSMS_COMPONENT ?>"/>
					<?php if(!empty($identifiedUser->user_id)){ ?><input type="hidden" name="visiblegroups" value="<?php echo $visibleGroups; ?>"/><?php } ?>
					<input type="hidden" name="hiddengroups" value="<?php echo $hiddenGroups; ?>"/>
					<input type="hidden" name="joomsmsformname" value="<?php echo $formName; ?>"/>
					<?php if(JRequest::getCmd('tmpl') == 'component'){ ?>
						<input type="hidden" name="tmpl" value="component"/>
						<?php if($params->get('effect', 'normal') == 'mootools-box' AND !empty($redirectUrl)){ ?>
							<input type="hidden" name="closepop" value="1"/>
						<?php }
					} ?>
					<?php $myItemId = $config->get('itemid', 0);
					if(empty($myItemId)){
						global $Itemid;
						$myItemId = $Itemid;
					}
					if(!empty($myItemId)){ ?><input type="hidden" name="Itemid" value="<?php echo $myItemId; ?>"/><?php } ?>
				</div>
			</form>
		</div>
		<?php if($params->get('effect', 'normal') == 'mootools-slide'){ ?> </div> <?php } ?>
</div>
