<?php
/**
 * @package	JoomSMS for Joomla!
 * @version	1.0
 * @author	JoomBoost
 * @copyright	(C) 2013-2020 JoomBoost. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');

extract($displayData);

?>

<div style="font-size:inherit; white-space:normal;" id="joomsms_button_send">
    <p class="alert alert-info"><?php echo  JText::_('SMS_VERIFICATION_CODE_CONFIRM') ?></p>
    <?php echo $phoneFieldToDisplay ?>
    <div id="spinner_button">
        <button id="send_code" class="btn btn-default " type="button" onclick="sendCode();">
            <?php echo JText::_('SMS_SEND_CODE') ?>
        </button>
    </div>
    <span style="color:red" id="sending_result"></span>
    <br>
</div>



<script>
    codeRequest = function(){

        verificationCode = document.getElementById("verification_code").value;
        if(!verificationCode){
            alert("<?php echo JText::_('SMS_PLEASE_ENTER_CODE') ?>");
            return;
        }
        document.getElementById("spinner_button").innerHTML = '<span id="ajaxSpan" class="onload"></span>';

        // additional traitement for code request
        if(document.getElementById("jform_profile_phone") == undefined)
            phonenumber = document.getElementById("sms_sent_to").value;
        else
            phonenumber = document.getElementById("jform_profile_phone").value;

        // ajax request for code request
        jQuery.ajax({
            type: "post",
            url: "?verificationcode="+verificationCode+"&phonenumber="+phonenumber,
            success: function(responseText) {
                let response = JSON.parse(responseText);
                if(response.verify){
                    signParameter = (document.getElementById("member-registration").action.includes("?")) ? "&" : "?";
                    document.getElementById("member-registration").action+=signParameter+"phonenumber="+phonenumber+"&verificationcodesubmited="+verificationCode;
                    document.getElementById("member-registration").submit();
                }else{
                    document.getElementById("spinner_button").innerHTML = '<button type="button" onclick="codeRequest();"><?php echo JText::_('SMS_VERIFY_CODE') ?></button>';
                    document.getElementById("validation_result").innerHTML = response.errorMessage;
                    document.getElementById("validation_result").style.color="red";
                }
            }
        });


    };
    sendCode = function(){

        // additional treatment for send code
        form = document.getElementById("member-registration");
        if(!document.formvalidator.isValid(form)) return;
        if(document.getElementById("jform_profile_phone") == undefined){
                if(document.getElementById("sms_sent_to"))
                    phonenumber = document.getElementById("sms_sent_to").value;
                else
                    phonenumber = document.getElementsByName("phonenumber_verification[phone_country]")[0].value+document.getElementsByName("phonenumber_verification[phone_num]")[0].value;
        }else
            phonenumber = document.getElementById("jform_profile_phone").value;

        name = document.getElementById("jform_name").value;
        email = document.getElementById("jform_email1").value;

        // display spinner
        document.getElementById("spinner_button").innerHTML = '<span id="ajaxSpan" class="onload"></span>';

        jQuery.ajax({
            url: "?sendCode=1&lastname="+name+"&email="+email+"&phonenumber="+phonenumber,
            type: "post",
            success: function(responseText) {
                let response = JSON.parse(responseText);
                if(response.sendingResult)
                    document.getElementById("joomsms_button_send").innerHTML = response.display;
                else {
                    document.getElementById("spinner_button").innerHTML = 	'<button id="send_code" type="button" onclick="sendCode();"><?php echo JText::_('SMS_SEND_CODE') ?></button>';
                    document.getElementById("sending_result").innerHTML = response.display;
                }
            }
        });

    };

</script>
